## tinymce2 2.1.3

=== debian/changelog ===
tinymce2 (2.1.3-1.1) unstable; urgency=low

  * Non-maintainer upload; ACKed by the maintainer, see #670952.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt"
    (Closes: #670952).
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 05 May 2012 21:28:41 +0300

tinymce2 (2.1.3-1) unstable; urgency=low

  * Repackage tinymce as tinymce2 package since tinymce v3 is not
    compatible. Package needing tinymce2 should depend on tinymce2 |
    tinymce (<< 3).
  * New Upstream Version
  * debian/control:
     + change maintainer
     + bump Standards-Version to 3.7.3
     + add Homepage field
     + add Vcs-* fields
  * debian/rules:
     + clean up
     + install to /usr/share/tinymce2
     + move most rules to binary-indep
  * Add debian/watch
  * Use dpatch to modify upstream
  * Convert debian/copyright to UTF-8 encoding

 -- Vincent Bernat <bernat@debian.org>  Tue, 20 May 2008 20:39:07 +0200

tinymce (2.1.1.1-1) unstable; urgency=low

  * New upstream release (closes: #430123)
  * Added missing blank.htm file (closes: #415159)
  * Dropped the -doc package as upstream stoped maintaining it.
    + Refering to the online documentation in README.Debian instead.
    + Removed the patch used to alter the documentation's paths.
  * In debian/rules, chmod installed files in order to drop their useless +x
    flag. 

 -- Alexis Sukrieh <sukria@debian.org>  Sat, 18 Aug 2007 14:07:32 +0200

tinymce (2.0.8-1) unstable; urgency=low

  [ The "Webapps Team's First Strike" upload ]

  * Initial release (Closes: #394965)

 -- Alexis Sukrieh <sukria@debian.org>  Tue, 24 Oct 2006 14:58:03 +0200
