=== debian/control ===
Source: tinymce2
Section: web
Priority: optional
Maintainer: Vincent Bernat <bernat@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/tinymce2.git
Vcs-Git: git://git.debian.org/git/collab-maint/tinymce2.git
Homepage: http://tinymce.moxiecode.com/

Package: tinymce2
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: platform independent web based Javascript/HTML WYSIWYG editor
 TinyMCE is a platform independent web based Javascript HTML WYSIWYG editor
 control released as Open Source under LGPL by Moxiecode Systems AB. It has the
 ability to convert HTML TEXTAREA fields or other HTML elements to editor
 instances. TinyMCE is very easy to integrate into other Content Management
 Systems.  
 .
 TinyMCE provides the following features:
  * Easy to integrate, takes only two lines of code.  
  * Customizable through themes and plugins.  
  * Customizable XHTML 1.0 output. 
  * Block invalid elements and force attributes.  
  * International language support (Language packs)
  * Multiple browser support, Mozilla, MSIE, FireFox, Opera and Safari
 .
 This package provides version 2 of tinymce. If you want a more recent
 version of tinymce, look at tinymce package.
