=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
TINYMCE=$(CURDIR)/debian/tinymce2

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build-arch: build
build-indep: build

build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# static files (html and js)
	install -m 0644 debian/example.html $(TINYMCE)/usr/share/tinymce2/www
	install -m 0644 $(CURDIR)/jscripts/tiny_mce/*.js $(TINYMCE)/usr/share/tinymce2/www
	install -m 0644 $(CURDIR)/jscripts/tiny_mce/*.htm $(TINYMCE)/usr/share/tinymce2/www

	# language packs 
	install -m 0644 $(CURDIR)/jscripts/tiny_mce/langs/en.js $(TINYMCE)/usr/share/tinymce2/www/langs

	# plugins 
	for plugin_dir in $$(find $(CURDIR)/jscripts/tiny_mce/plugins -mindepth 1 -maxdepth 1 -type d) ; do \
		install -d $(TINYMCE)/usr/share/tinymce2/www/plugins/$$(basename $$plugin_dir) ; \
		[ -d $(CURDIR)/jscripts/tiny_mce/plugins/$$(basename $$plugin_dir) ] && \
			cp -r $(CURDIR)/jscripts/tiny_mce/plugins/$$(basename $$plugin_dir)/* \
			      $(TINYMCE)/usr/share/tinymce2/www/plugins/$$(basename $$plugin_dir)/ ;\
	done

	# themes
	for theme_dir in $$(find $(CURDIR)/jscripts/tiny_mce/themes -mindepth 1 -maxdepth 1 -type d) ; do \
		install -d $(TINYMCE)/usr/share/tinymce2/www/themes/$$(basename $$theme_dir) ; \
		[ -d $(CURDIR)/jscripts/tiny_mce/themes/$$(basename $$theme_dir) ] && \
			cp -r $(CURDIR)/jscripts/tiny_mce/themes/$$(basename $$theme_dir)/* \
			      $(TINYMCE)/usr/share/tinymce2/www/themes/$$(basename $$theme_dir)/ ;\
	done

	# fixing chmod on copied files
	find $(TINYMCE) -type f -exec chmod a-x {} \;

	# utils
	install -m 0644 $(CURDIR)/jscripts/tiny_mce/utils/*.js $(TINYMCE)/usr/share/tinymce2/www/utils

	# remove development files
	rm -rf $(TINYMCE)/usr/share/tinymce2/www/plugins/_template
	rm $(TINYMCE)/usr/share/tinymce2/www/tiny_mce_dev.js

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
