=== debian/watch ===
version=3
opts=uversionmangle=s/_/./g http://sf.net/tinymce/tinymce_(2_[\d_]+)\.tgz
